levels.register_basic('scifi_0', 'Sci-fi 0', 'hard')
levels.register_basic('scifi_1', 'Sci-fi 1', 'hard')
levels.register_basic('scifi_2', 'Sci-fi 2', 'hard')
levels.register_basic('scifi_3', 'Sci-fi 3', 'hard')
levels.register_basic('scifi_4', 'Sci-fi 4', 'hard')
levels.register_basic('scifi_5', 'Sci-fi 5', 'hard')
levels.register_basic('scifi_6', 'Sci-fi 6', 'hard')
levels.register_basic('scifi_7', 'Sci-fi Crate 7', 'hard')
levels.register_basic('scifi_8', 'Sci-fi Crate 8', 'hard')
levels.register_basic('scifi_9', 'Sci-fi Crate 9', 'hard')
levels.register_basic('scifi_10', 'Sci-fi Crate 10', 'hard')
levels.register_basic('scifi_11', 'Sci-fi Crate 11', 'hard')
levels.register_basic('scifi_12', 'Sci-fi 12', 'hard')
levels.register_basic('scifi_13', 'Solar Panel', 'hard')
levels.register_basic('scifi_14', 'Sci-fi 14', 'hard')
levels.register_basic('scifi_15', 'Sci-fi 15', 'hard')
levels.register_basic('scifi_16', 'Sci-fi 16', 'hard')
levels.register_basic('scifi_17', 'Sci-fi 17', 'hard')

minetest.register_abm({ --This can be removed in a few weeks/months, as all levels:floor nodes should have been replaced.
   label = 'convert bad nodes to color nodes.',
   nodenames = {'levels:floor_red', 'levels:floor_cyan', 'levels:floor_white'},
   interval = 1,
   chance = 1,
   action = function(pos, node)
      if node.name == 'levels:floor_red' then
         minetest.set_node(pos, {name = 'color:red_blocks', param2 = 80})
      elseif node.name == 'levels:floor_cyan' then
         minetest.set_node(pos, {name = 'color:aqua_blocks', param2 = 42})
      elseif node.name == 'levels:floor_white' then
         minetest.set_node(pos, {name = 'color:grey_blocks', param2 = 60})
      end
   end
})
